Bit of an old topic to reply to.

So after seeing the recent updates about SPI one of my bugs is fixed. However this isn't.

I've been able to cross compile the software by applying a patch in the toolchain however I also need to install the patched libc on the onion omega of which when I force it to do so it bricks it and requires firmware recovering.

I then uploaded what I believe was the firmware compiled by the toolchain however that then caused SPI To break again and have packages such as gpioctl missing.

Is there any recommendation on what packages need to be selected to have most things required?